Package org.apache.sling.starter.access.models

# Class PrincipalPrivilege

java.lang.Object
org.apache.sling.starter.access.models.PrincipalPrivilege

public class PrincipalPrivilege extends Object

## Constructor Summary

Constructors
Constructor
Description
`PrincipalPrivilege(@NotNull Principal principal)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getIsGroup()`
`String`
`getName()`
`String`
`getPrivilegesDisplayName()`
`boolean`
`isAllow()`
`boolean`
`isDeny()`
`void`
`setAllow(boolean isAllow)`
`void`
`setDeny(boolean isDeny)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrincipalPrivilege

public PrincipalPrivilege(@NotNull @NotNull Principal principal)

## Method Details

### getName

public String getName()

### getPrivilegesDisplayName

public String getPrivilegesDisplayName()

### isAllow

public boolean isAllow()

### setAllow

public void setAllow(boolean isAllow)

### isDeny

public boolean isDeny()

### setDeny

public void setDeny(boolean isDeny)

### getIsGroup

public boolean getIsGroup()